<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GStreamer Bad Plugins 1.0 Plugins Reference Manual: opencv</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="GStreamer Bad Plugins 1.0 Plugins Reference Manual">
<link rel="up" href="ch02.html" title="gst-plugins-bad Plugins">
<link rel="prev" href="gst-plugins-bad-plugins-plugin-openal.html" title="openal">
<link rel="next" href="gst-plugins-bad-plugins-plugin-pcapparse.html" title="pcapparse">
<meta name="generator" content="GTK-Doc V1.20 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="10"><tr valign="middle">
<td width="100%" align="left" class="shortcuts"></td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="ch02.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="gst-plugins-bad-plugins-plugin-openal.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="gst-plugins-bad-plugins-plugin-pcapparse.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="gst-plugins-bad-plugins-plugin-opencv"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle">opencv</span></h2>
<p>opencv — <a name="plugin-opencv"></a>GStreamer OpenCV Plugins</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="id-1.3.33.3"></a><h2>Plugin Information</h2>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term">filename</span></p></td>
<td>libgstopencv.so</td>
</tr>
<tr>
<td><p><span class="term">version</span></p></td>
<td>1.4.0</td>
</tr>
<tr>
<td><p><span class="term">run-time license</span></p></td>
<td>LGPL</td>
</tr>
<tr>
<td><p><span class="term">package</span></p></td>
<td>GStreamer Bad Plug-ins source release</td>
</tr>
<tr>
<td><p><span class="term">origin</span></p></td>
<td>Unknown package origin</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="id-1.3.33.4"></a><h2>Elements</h2>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-bad-plugins-cvdilate.html" title="cvdilate">cvdilate</a></span></p></td>
<td>Applies cvDilate OpenCV function to the image</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-bad-plugins-cvequalizehist.html" title="cvequalizehist">cvequalizehist</a></span></p></td>
<td>Applies cvEqualizeHist OpenCV function to the image</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-bad-plugins-cverode.html" title="cverode">cverode</a></span></p></td>
<td>Applies cvErode OpenCV function to the image</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-bad-plugins-cvlaplace.html" title="cvlaplace">cvlaplace</a></span></p></td>
<td>Applies cvLaplace OpenCV function to the image</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-bad-plugins-cvsmooth.html" title="cvsmooth">cvsmooth</a></span></p></td>
<td>Applies cvSmooth OpenCV function to the image</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-bad-plugins-cvsobel.html" title="cvsobel">cvsobel</a></span></p></td>
<td>Applies cvSobel OpenCV function to the image</td>
</tr>
<tr>
<td><p><span class="term">disparity</span></p></td>
<td>Calculates the stereo disparity map from two (sequences of) rectified and aligned stereo images</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-bad-plugins-edgedetect.html" title="edgedetect">edgedetect</a></span></p></td>
<td>Performs canny edge detection on videos and images.</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-bad-plugins-faceblur.html" title="faceblur">faceblur</a></span></p></td>
<td>Blurs faces in images and videos</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-bad-plugins-facedetect.html" title="facedetect">facedetect</a></span></p></td>
<td>Performs face detection on videos and images, providing detected positions via bus messages</td>
</tr>
<tr>
<td><p><span class="term">grabcut</span></p></td>
<td>Runs Grabcut algorithm on input alpha. Values: BG=0, FG=1, PR_BG=2, PR_FGD=3; NOTE: larger values of alpha (notably 255) are interpreted as PR_FGD too. 
IN CASE OF no alpha mask input (all 0's or all 1's), the 'face' downstream event is used to create a bbox of PR_FG elements.
IF nothing is present, then nothing is done.</td>
</tr>
<tr>
<td><p><span class="term">handdetect</span></p></td>
<td>Performs hand gesture detection on videos, providing detected hand positions via bus message and navigation event, and deals with hand gesture events</td>
</tr>
<tr>
<td><p><span class="term">motioncells</span></p></td>
<td>Performs motion detection on videos and images, providing detected motion cells index via bus messages</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-bad-plugins-opencvtextoverlay.html" title="opencvtextoverlay">opencvtextoverlay</a></span></p></td>
<td>Write text on the top of video</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-bad-plugins-pyramidsegment.html" title="pyramidsegment">pyramidsegment</a></span></p></td>
<td>Applies pyramid segmentation to a video or image.</td>
</tr>
<tr>
<td><p><span class="term">retinex</span></p></td>
<td>Multiscale retinex for colour image enhancement</td>
</tr>
<tr>
<td><p><span class="term">segmentation</span></p></td>
<td>Create a Foregound/Background mask applying a particular algorithm</td>
</tr>
<tr>
<td><p><span class="term">skindetect</span></p></td>
<td>Performs non-parametric skin detection on input</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-bad-plugins-templatematch.html" title="templatematch">templatematch</a></span></p></td>
<td>Performs template matching on videos and images, providing detected positions via bus messages.</td>
</tr>
</tbody>
</table></div>
</div>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.20</div>
</body>
</html>